#
# spec file for package setxkbmap
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           setxkbmap
Version:        1.3.1
Release:        3.3
Summary:        Utility to change the keyboard layout in X
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
setxkbmap is an X11 client to change the keymaps in the X server for a
specified keyboard to use the layout determined by the options listed
on the command line.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/setxkbmap
%{_mandir}/man1/setxkbmap.1%{?ext_man}

%changelog
* Fri Apr 24 2015 sndirsch@suse.com
-  Update to version 1.3.1:
  * Move global rules variable into applyRules, the only function that uses it
  * Make len a size_t instead of converting back & forth to an int
  * Use C99 struct initializer for cmdNames in applyComponentNames
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Printing the program's version number on -version.
  * Fixing a small mistake in the man page -- s/comp/map/.
  * Ensure consistency between the manpage and the output of the -h option
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.3.0:
  + Mention xkeyboard-config(7) in setxkbmap(1)
  + Add const attributes to fix gcc -Wwrite-strings warnings
  + Minor style changes in help message.
  + Few messages added for easier troubleshooting.
  + Consistent handling of memory allocation errors.
  + Removed unused arg subdir in function findFileInPath()
  + Bug in searching config files fixed.
  + Data refactored: list_t introduced to keep list and its sizes
    together.
  + Bugs fixes: fdo#34117, fdo#34118, fdo#34151.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split setxkbmap from xorg-x11. Initial version: 1.2.0.
